@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@500&display=swap");
:root {
  --dark: #212121;
  --gjc-orange: #ff8600;
  --white60: #ffffff90;
}
.font-rubik {
  font-family: "Rubik", sans-serif;
}
.font-gothic {
  font-family: "Century Gothic";
}

body {
  /* background: var(--dark); */
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  overflow-x: hidden;
  background: var(--dark);
}
/* Nav start */
.cont {
  width: 100%;
  max-width: 1920px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
nav {
  min-height: 10vh;
  background: var(--dark);
  padding: 1vh 5vw 4vh 5vw;
}
.main-navbar .logo {
  width: 30%;
}
.main-navbar .logo img {
  width: 67px;
  max-width: 100%;
  height: auto;
  align-items: center;
}
.nav-links {
  display: flex;
  align-items: flex-end;
  justify-content: space-around;
  width: 40%;
  font-size: 1.1rem;
  font-weight: 400;
  line-height: 1.5em;
  vertical-align: unset;
  margin-bottom: -5px;
}
.nav-links li {
  list-style-type: none;
  color: white;
}
.nav-links a {
  text-decoration: none;
  display: block;
  letter-spacing: 1.5px;
  color: white;
}
.nav-links a:hover {
  color: var(--gjc-orange);
  font-family: "Rubik", sans-serif;
  /* margin-top: -20px; */
}
.mainmenus {
  display: block;
}
/* Hide Dropdowns by Default */
nav ul ul {
  display: none;
  position: absolute;
  background: var(--dark);
  height: 18vh;
  padding-top: 2vh;
  line-height: 2.5em;
  border-radius: 15px;
  list-style: none;
}
nav ul li:hover > ul {
  display: inherit;
  font-family: "Rubik", sans-serif;
  z-index: 999;
}

/* Fisrt Tier Dropdown */
nav ul ul li {
  width: 170px;
  float: none;
  display: list-item;
  position: relative;
}

/* Second, Third and more Tiers	*/
nav ul ul ul li {
  position: relative;
  top: -60px;
  left: 170px;
}
li > a:after {
  content: " ⮟";
}
li > a:only-child:after {
  content: "";
}

/* Cart Button*/
.cart {
  width: 10%;
}
.cart:hover .cartWhite,
.cart .cartOrange {
  display: none;
}
.cart:hover .cartOrange {
  display: inline;
}

/* Burger Button */
.burger {
  display: none;
}
.table-responsive {
  padding-right: 28vw;
}

@media screen and (max-width: 768px) {
  .nav-links {
    position: absolute;
    right: 0;
    height: 92vh;
    top: 8vh;
    background: var(--dark);
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 50%;
    transform: translateX(100%);
    transition: transform 0.5s ease-in;
    z-index: 998;
  }
  .nav-links li {
    /* opacity: 1; */
    transition: opacity 0.5s ease-in;
    color: var(--gjc-orange);
  }
  .burger {
    display: block;
    cursor: pointer;
  }
}

.nav-active {
  transform: translateX(0%);
}

@keyframe navLinkFade {
  from {
    opacity: 0;
    transform: translateX(50px);
  }
  to {
    opacity: 1;
    transform: translateX(0px);
  }
}

/* Nav end */

/* Hero start */
.hero-section {
  background: var(--gjc-orange);
  color: white;
  /* margin: 10vh 0; */
  height: 62vh;
}

.hero-section .hero-left,
.hero-section .hero-right {
  height: 100vh;
  padding: 20% 10% 0 10%;
  border-right: 2px solid #21212120;
  text-align: center;
}
.hero-section .hero-right h2 {
  padding-bottom: 1.5em;
}
.hero-section .hero-right a {
  padding: 10px 24px;
  background: var(--dark);
  border-radius: 6px;
  font-size: 18px;
  line-height: 1.4em;
  font-weight: 600;
  color: #fffffff9;
  letter-spacing: 0.06em;
  text-decoration: none;
}

.hero-section .hero-right a:hover {
  background: #212121f9;
  color: #ff8600;
}

/* Nav Style*/
#scanfcode {
  border-radius: 0px;
  background: #fff;
  padding: 10px;
  font-size: 17px;
}
/* logo or main heading */
#logo {
  font-size: 20px;
  font-weight: bolder;
  color: #00004d;
  letter-spacing: 2px;
}
/* navigation links*/
#link a {
  color: #01325d;
  margin: 0 20px 0 10px;
  letter-spacing: 1.5px;
}
/* navigation link with right border */
#first-link {
  padding-right: 6px;
  border-right: solid 1px #ccc;
}
/* sign up link button and toggle button */
#button-link,
#toogle-button {
  color: #f2f2f2;
  border-style: solid;
  border-width: 1px;
  border-color: rgba(0, 0, 0, 0.2);
  border-radius: 2px;
  background-color: #fa6a48;
  line-height: 17px;
}
#button-link a {
  color: #f2f2f2;
}

/* Lower */
.lower {
  width: 100%;
  max-width: 1920px;
  color: white;
  display: flex;
  justify-content: space-between;
  padding: 0 18vw 0 13vw;
}
.luca {
  /* padding: 0 6em ; */
}
.deliveryLocation {
  /* padding: 2vh 0 0 4.5vw; */
  display: flex;
}
.deliveryLocation h4 {
  padding-right: 2vw;
}
.deliveryLocation select {
  height: 4vh;
  background-color: transparent;
  border: 1px solid white;
  color: white;
  border-radius: 5px;
  padding: 8px 32px;
}
.deliveryLocation option {
  color: var(--dark);
}
.deliveryLocation option:hover {
  background: var(--gjc-orange);
  color: var(--gjc-orange);
}

.input-group {
  display: flex;
  justify-content: flex-end;
}
/* Search Filter */
.input-group-append {
  text-align: center;
}
.input-group span i {
  width: 21px;
  height: auto;
  color: var(--gjc-orange);
}
.input-group span {
  background: transparent;
  border: none;
}
.input-group input {
  background: transparent;
  border: none;
  color: var(--gjc-orange);
}
.input-group input::placeholder {
  color: var(--gjc-orange);
}

/* Remove IE arrow */
#search-filter {
  appearance: none;
  /* background: var(--dark); */
}
/* Arrow */
.searchfilter::after {
  content: url(/Assets/img/filter.svg);
  position: absolute;
  top: 5px;
  right: 1em;
  padding: 0.4em;
  background-color: transparent;
  transition: 0.25s all ease;
  pointer-events: none;
}
/* Transition */
.filt:hover::after {
  color: #f39c12;
}

.searchfilter select {
  height: 2.5em;
  background-color: transparent;
  border: 1px solid transparent;
  color: white;
  background: var(--gjc-orange);
  font-size: 1.1rem;
  line-height: 1.5em;
  border-radius: 5px;
  padding: 8px 32px;
  background-image: none;
  cursor: pointer;
}
.searchfilter option {
  color: var(--dark);
}
.searchfilter option:hover {
  background: var(--gjc-orange);
  color: var(--gjc-orange);
}

/* Search Border */
.searchboxholder {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid var(--gjc-orange);
  color: var(--gjc-orange);
  /* padding-right: 1em; */
  margin-right: 2em;
}

.menus {
  padding-top: 64px;
  padding-bottom: 5em;
  width: 100%;
  max-width: 1920px;
}
.menus ul {
  border: 1px solid transparent;
}
.mainmenus {
  padding-left: 6em;
}
.mainmenus ul {
  border: 1px solid transparent;
}
.menus {
  display: flex;
  justify-content: space-between;
}
.items {
  padding-right: 19em;
}
.items h1 {
  right: 0;
  font-size: 2.3rem;
  color: var(--gjc-orange);
  font-weight: 700;
  line-height: 1.5em;
}
.items h2,
.items p {
  color: white;
}

.tab-content button {
  font-size: 1.1rem;
  font-weight: 400;
  line-height: 1.4em;
  padding: 8px 32px;
  background: transparent;
  border: 1px solid var(--gjc-orange);
  border-radius: 8px;
  color: var(--gjc-orange);
}
.tab-content button:hover {
  background: var(--gjc-orange);
  color: white;
  border-color: transparent;
  font-weight: 600;
  letter-spacing: 0.6px;
}
.quickviewItem:hover {
  text-decoration: none;
}
.quickviewItem h2:hover,
p:hover {
  color: var(--gjc-orange);
}
.quickviewItem img:hover {
  transform: scale(1.15);
  transition: transform 0.4s ease-in-out;
}
.table td {
  /* border: 1px solid transparent; */
}

@media (max-width: 576px) {
  table.responsive {
    min-width: 250px !important;
  }
  table.responsive thead {
    display: none;
  }
  table.responsive tr {
    display: flex;
    flex-direction: column;
    margin-bottom: 5px;
    border: 1px solid transparent;
    border-collapse: inherit;
    border-radius: 5px;
    cursor: default;
  }
  table.responsive td:not(:first-child) {
    display: none;
  }
  table.responsive td.active:not(:first-child) {
    display: block;
    animation: butwa 300ms linear;
  }
  table.responsive td {
    text-align: left !important;
    position: relative;
    padding-top: 1.8em;
    border: 1px solid transparent;
  }
  table.responsive td:not(:last-child) {
    border: 1px solid transparent;
  }
  table.responsive td::before {
    content: attr(title);
    position: absolute;
    top: 0.5em;
    font-size: 80%;
    font-weight: 600;
    text-transform: capitalize;
    line-height: normal;
    color: rgba(113, 113, 113, 0.45);
  }
  .tbl-btn {
    top: 0;
    right: 1em;
    font-size: 1.3em;
    position: absolute;
    transition: 300ms;
  }
  .tbl-btn.rotate {
    transform: rotate(180deg);
  }
}
/* Nav style ends */

/* Footer */
.gjc-footer {
  /* max-width: 1920px; */
  width: 100%;
  font-family: "Century Gothic";
  background: var(--dark);
  color: white;
  padding: 5em 0;
}
.footerHolder {
  padding-bottom: 36px;
}
.footerHeadings h1 {
  font-size: 1.5rem;
  font-weight: 700;
  padding-bottom: 3.25em;
}

.footerLeft a {
  text-decoration: none;
  color: white;
  font-size: 1.1rem;
  font-weight: 400;
  display: flex;
}

.footerHolder .footerLeft a img {
  width: 24px;
  height: 24px;
  margin-bottom: 2em;
}
.footerHolder .footerLeft a p {
  padding-left: 2em;
}
.footerLeft li,
li:hover {
  color: white;
  list-style: none;
}

.footerRight .socialIcons a i {
  font-size: 24px;
  padding-right: 32px;
  color: white;
}

.footerRight .socialIcons a i:hover {
  color: var(--gjc-orange);
}
.copyrighter {
  text-align: center;
  padding-top: 24px;
  border-top: 1px solid #e5e5e5;
}
.copyrighter i {
  font-size: 14px;
  font-weight: 400;
  color: var(--gjc-orange);
}
.copyrighter h4 {
  color: white;
  font-size: 14px;
  font-weight: 400;
}

/* Custom code of mizan */

.mymiz {
  justify-content: center;
  color: white;
  margin: 100px;
}
#login_button,
#register_button {
  color: white;
  background: saddlebrown;
}

#edit_profile {
  background: saddlebrown;
  border: none;
}
.update-btn {
  background: saddlebrown;
  color: white;
}

#register_button {
  margin-top: 50px;
}

.custom_file {
  position: relative;
  display: inline-block;
  width: 100%;
  margin-bottom: 0;
}

.avatar {
  display: inline-block;
  margin-bottom: 0;
  height: 3rem;
  width: 3rem;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
}

.avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

#cart {
  font-size: 1rem;
  color: white;
}

#cart_count {
  background-color: #fedd69;
  padding: 0.2rem 0.5rem;
  border-radius: 0.2rem;
  color: black;
  font-weight: bold;
  font-size: 0.9rem;
  position: absolute;
}
.avatar {
  display: inline-block;
  margin-bottom: 0;
  height: 3rem;
  width: 3rem;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
}

.avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.rounded-cirlce {
  border-radius: 50% !important;
}

.btn.focus,
.btn:focus {
  outline: 0;
  box-shadow: none;
}

.avatar-nav {
  margin-right: 0.6rem;
  height: 2.2rem;
  width: 2.2rem;
}

.avatar-profile {
  height: 16rem;
  width: 16rem;
}
.text-col {
  color: grey;
}
.user-info {
  color: grey;
}
.user-info h4 {
  font-weight: 800;
  color: grey;
  margin-top: 2rem;
}
.user-info p {
  font-size: 1.1rem;
}

.login_btn {
  background-color: #635542;
  padding: 0.2rem 0.8rem;
  border-radius: 10px;
}
.login_btn > a {
  text-decoration: none;
  color: #dae0e5 !important;
}

.btn-info {
  color: white;
  background-color: saddlebrown !important;
  border: none;
}
